import path from 'path';
import dotenv from 'dotenv';

const envFiles = [
  path.resolve(process.cwd(), '.env.dev'),
  path.resolve(process.cwd(), '.env'),
];
dotenv.config({
  path: envFiles,
});

export const config = process.env;
export const port = config.PORT || 4005;
